%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate cookie

Name:           rust-cookie
Version:        0.17.0
Release:    1%{?dist}
Summary:        HTTP cookie parsing and cookie jar management

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cookie
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
HTTP cookie parsing and cookie jar management. Supports signed and
private (encrypted, authenticated) jars.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aes-gcm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aes-gcm-devel %{_description}

This package contains library source intended for building other packages which
use the "aes-gcm" feature of the "%{crate}" crate.

%files       -n %{name}+aes-gcm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+base64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+base64-devel %{_description}

This package contains library source intended for building other packages which
use the "base64" feature of the "%{crate}" crate.

%files       -n %{name}+base64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hkdf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hkdf-devel %{_description}

This package contains library source intended for building other packages which
use the "hkdf" feature of the "%{crate}" crate.

%files       -n %{name}+hkdf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hmac-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hmac-devel %{_description}

This package contains library source intended for building other packages which
use the "hmac" feature of the "%{crate}" crate.

%files       -n %{name}+hmac-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+key-expansion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+key-expansion-devel %{_description}

This package contains library source intended for building other packages which
use the "key-expansion" feature of the "%{crate}" crate.

%files       -n %{name}+key-expansion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+percent-encode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+percent-encode-devel %{_description}

This package contains library source intended for building other packages which
use the "percent-encode" feature of the "%{crate}" crate.

%files       -n %{name}+percent-encode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+percent-encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+percent-encoding-devel %{_description}

This package contains library source intended for building other packages which
use the "percent-encoding" feature of the "%{crate}" crate.

%files       -n %{name}+percent-encoding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+private-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+private-devel %{_description}

This package contains library source intended for building other packages which
use the "private" feature of the "%{crate}" crate.

%files       -n %{name}+private-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+secure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+secure-devel %{_description}

This package contains library source intended for building other packages which
use the "secure" feature of the "%{crate}" crate.

%files       -n %{name}+secure-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha2-devel %{_description}

This package contains library source intended for building other packages which
use the "sha2" feature of the "%{crate}" crate.

%files       -n %{name}+sha2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signed-devel %{_description}

This package contains library source intended for building other packages which
use the "signed" feature of the "%{crate}" crate.

%files       -n %{name}+signed-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+subtle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+subtle-devel %{_description}

This package contains library source intended for building other packages which
use the "subtle" feature of the "%{crate}" crate.

%files       -n %{name}+subtle-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-1
- initial build
